Package net.rubygrapefruit.platform.internal.jni

# Class WindowsFileFunctions

java.lang.Object
net.rubygrapefruit.platform.internal.jni.WindowsFileFunctions

public class WindowsFileFunctions extends Object

## Constructor Summary

Constructors
Constructor
Description
`WindowsFileFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`readdir(String path, DirList dirList, FunctionResult result)`
`static void`
`stat(String file, WindowsFileStat stat, FunctionResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowsFileFunctions

public WindowsFileFunctions()

## Method Details

### stat

public static void stat(String file, WindowsFileStat stat, FunctionResult result)

### readdir

public static void readdir(String path, DirList dirList, FunctionResult result)